chiucvallow(8)

NAME
lsiucvallow, chiucvallow - List, change, and verify z/VM user ID filter settings

SYNOPSIS
lsiucvallow
chiucvallow -l|--list chiucvallow -e|--edit [filter]
chiucvallow -s|--set filter
chiucvallow -c|--clear chiucvallow -V|--verify filter

DESCRIPTION
The chiucvallow program lists, verifies, and changes the z/VM user ID filter of the z/VM IUCV hypervisor console (HVC) device driver. The z/VM user ID filter lists the z/VM guest virtual machines (user IDs) that are permitted to establish IUCV communication paths with the z/VM IUCV HVC device driver. The filter list is a comma-separated list of z/VM user IDs as specified by the hvc_iucv_allow kernel parameter. A filter entry might end with an asterisk (*) to match multiple z/VM user IDs. Use chiucvallow to change the filter list at runtime. chiucvallow works with the currently active filter or with filter files that list each z/VM user ID on a separate line. Filter files might also contain comment lines starting with '#'.
You can edit and verify existing filter files and replace the current z/VM user ID filter.

OPTIONS

-h, --help
    Display a short help text, then exit.

-v, --version
    Display the version of chiucvallow, then exit.

-l, --list
    Display the z/VM user IDs contained in the current filter. Using this parameter requires root authority.

-e, --edit [filter]
    Edit the current z/VM user ID filter. filter specifies a filter file listing z/VM user IDs. If filter is not specified, the entries of the current z/VM user ID filter are used. The filter is opened temporarily in an editor program. When the editor is closed, the changed filter is verified and, if verification succeeds, the current filter is replaced. Otherwise a backup copy is saved for correcting errors. Using this parameter requires root authority.

-c, --clear
    Clear the current z/VM user ID filter by deleting all user ID entries. Using this parameter requires root authority.

-s, --set filter
    Replace the current filter with the filter entries specified by filter. The current filter can be replaced only after the new filter has been successfully verified. Using this parameter requires root authority.

-V, --verify filter
    Verify the z/VM user ID filter specified by filter. The verification process checks the following rules:

    •   z/VM user IDs consist of up to eight alphanumeric characters or underscores (_)

    •   The total number of z/VM user IDs in the filter must not exceed 500

    •   The filter size in bytes must not exceed 4095 bytes

FILES

/sys/module/kernel/parameters/hvc_iucv_allow
    sysfs attribute for accessing the hvc_iucv_allow kernel parameter. Use chiucvallow to modify and access this sysfs attribute.

ENVIRONMENT

EDITOR
    Specifies an editor program that is used for editing z/VM user ID filters. If EDITOR is not set or empty, vi(1) is used.

SEE ALSO
hvc_iucv(9) Linux on System z - Device Drivers, Features, and Commands